Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class AlreadyBoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.rmi.AlreadyBoundException

All Implemented Interfaces:
  Serializable

    public class AlreadyBoundException

extends Exception

An `AlreadyBoundException` is thrown if an attempt is made to bind an object in the registry to a name that already has an associated binding.

Since:
  JDK1.1
See Also:
  `Naming.bind(String, java.rmi.Remote)`, `Registry.bind(String, java.rmi.Remote)`, Serialized Form

Constructor Summary
`AlreadyBoundException()` Constructs an `AlreadyBoundException` with no specified detail message.
`AlreadyBoundException(String s)` Constructs an `AlreadyBoundException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlreadyBoundException

    public AlreadyBoundException()

  Constructs an `AlreadyBoundException` with no specified detail message.

  Since:
    JDK1.1

### AlreadyBoundException

    public AlreadyBoundException(String s)

  Constructs an `AlreadyBoundException` with the specified detail message.

  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2011, Oracle and/or its affiliates. All rights reserved.